package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.TDictHiddEngMapper;
import com.goldenwater.slaj.hidd.domain.TDictHiddEng;
import com.goldenwater.slaj.hidd.service.ITDictHiddEngService;

/**
 * 隐患工程字典 服务层实现
 */
@Service
public class TDictHiddEngServiceImpl implements ITDictHiddEngService {

    @Autowired
    private TDictHiddEngMapper tDictHiddEngMapper;

    /**
     * 查询隐患工程字典信息
     * @param id 查询条件
     * @return 隐患工程字典信息
     */
    @Override
    public TDictHiddEng selectTDictHiddEngById(Long id) {
        return tDictHiddEngMapper.selectTDictHiddEngById(id);
    }

    /**
     * 查询隐患工程字典列表
     * @param tDictHiddEng 隐患工程字典查询条件
     * @return 隐患工程字典集合
     */
    @Override
    public List<TDictHiddEng> selectTDictHiddEngList(TDictHiddEng tDictHiddEng) {
        return tDictHiddEngMapper.selectTDictHiddEngList(tDictHiddEng);
    }

    /**
     * 新增隐患工程字典
     * @param tDictHiddEng 隐患工程字典信息
     * @return 影响行数
     */
    @Override
    public int insertTDictHiddEng(TDictHiddEng tDictHiddEng) {
        return tDictHiddEngMapper.insertTDictHiddEng(tDictHiddEng);
    }

    /**
     * 修改隐患工程字典
     * @param tDictHiddEng 隐患工程字典信息
     * @return 影响行数
     */
    @Override
    public int updateTDictHiddEng(TDictHiddEng tDictHiddEng) {
        return tDictHiddEngMapper.updateTDictHiddEng(tDictHiddEng);
    }

    /**
     * 删除隐患工程字典
     * @param id 隐患工程字典主键
     * @return 影响行数
     */
    @Override
    public int deleteTDictHiddEngById(Long id) {
        return tDictHiddEngMapper.deleteTDictHiddEngById(id);
    }

    /**
     * 批量删除隐患工程字典
     * @param ids 隐患工程字典主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTDictHiddEngByIds(Long[] ids) {
        return tDictHiddEngMapper.deleteTDictHiddEngByIds(ids);
    }
}
